org.hibernate.search.reader.impl

## Class ManagedMultiReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.CompositeReader
    - - org.apache.lucene.index.BaseCompositeReader<IndexReader>
      - - org.apache.lucene.index.MultiReader
        - - org.hibernate.search.reader.impl.ManagedMultiReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class ManagedMultiReader
      extends MultiReader

  Wraps a MultiReader to keep references to owning managers.
  Author:
    Emmanuel Bernard, Sanne Grinovero (C) 2011 Red Hat Inc.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.ReaderClosedListener`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doClose()`
    `List<? extends IndexReader>` | `getSubReaders()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.index.BaseCompositeReader

      `docFreq, document, getDocCount, getSequentialSubReaders, getSumDocFreq, getSumTotalTermFreq, getTermVectors, maxDoc, numDocs, readerBase, readerIndex, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.CompositeReader

      `getContext`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getCombinedCoreAndDeletesKey, getCoreCacheKey, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, removeReaderClosedListener, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### doClose

          protected void doClose()
                          throws IOException

      Overrides:
        `doClose` in class `MultiReader`
      Throws:
        `IOException`

    - #### getSubReaders

          public List<? extends IndexReader> getSubReaders()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `CompositeReader`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved